> ## Documentation Index
> Fetch the complete documentation index at: https://ai-api-docs.getbreezyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries



## OpenAPI

````yaml /openapi.public.json get /integrations/webhooks/deliveries
openapi: 3.1.1
info:
  title: Breezy Public API
  version: 1.0.0
  description: Curated Breezy customer API for user JWT and service API key clients.
servers:
  - url: https://ai-api.getbreezyapp.com/api/v1
    description: Production
security:
  - userJwtBearer: []
  - serviceApiKeyBearer: []
tags:
  - name: API Keys
    description: Create, list, reveal, and revoke service API keys.
  - name: Company Settings
    description: Read and update tenant company settings and service zones.
  - name: Contacts
    description: Read contacts and update customer attribution fields.
  - name: Service Requests
    description: Read and triage customer service requests.
  - name: Users
    description: Read public user identity and team user records.
  - name: Webhooks
    description: Create, update, rotate, and delete webhook endpoints.
paths:
  /integrations/webhooks/deliveries:
    get:
      tags:
        - Webhooks
      summary: List webhook deliveries
      operationId: webhooks.listDeliveries
      parameters:
        - name: endpointId
          in: query
          schema:
            type: string
            pattern: ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
            description: Unique identifier (UUID)
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: >-
                            ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
                          description: Unique identifier (UUID)
                        endpointId:
                          type: string
                          pattern: >-
                            ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
                          description: Unique identifier (UUID)
                        eventId:
                          type: string
                        eventType:
                          enum:
                            - service_request.created
                            - service_request.status_changed
                            - service_request.booked
                            - interaction.completed
                          type: string
                        status:
                          enum:
                            - pending
                            - succeeded
                            - failed
                            - abandoned
                          type: string
                        attemptCount:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        createdAt:
                          type: string
                          format: date-time
                        lastAttemptAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        nextAttemptAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        responseStatusCode:
                          anyOf:
                            - type: integer
                              minimum: 100
                              maximum: 599
                            - type: 'null'
                        errorMessage:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - endpointId
                        - eventId
                        - eventType
                        - status
                        - attemptCount
                        - createdAt
                        - lastAttemptAt
                        - nextAttemptAt
                        - responseStatusCode
                        - errorMessage
                      readOnly: true
                required:
                  - data
                readOnly: true
      security:
        - userJwtBearer: []
components:
  securitySchemes:
    userJwtBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        User JWT bearer token. User principals can manage API keys and call
        tenant-scoped customer endpoints.
    serviceApiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: bzy_live_...
      description: >-
        Service API key bearer token beginning with bzy_live_. Service API keys
        use tenant scope and cannot manage API keys or call user-only endpoints.

````